Groovy Documentation

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Java] Class JspWriterDelegate

    java.lang.Object
      javax.servlet.jsp.JspWriter
          org.codehaus.groovy.grails.web.pages.ext.jsp.JspWriterDelegate

    public class JspWriterDelegate
    extends JspWriter

Delegates to another java.io.Writer.

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`void` | `clear()`
`void` | `clearBuffer()`
`void` | `close()`
`void` | `flush()`
`int` | `getRemaining()`
`void` | `newLine()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] cArray)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object o)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(char[] chars)`
`void` | `println(double d)`
`void` | `println(float f)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(java.lang.Object o)`
`void` | `println(java.lang.String s)`
`java.lang.String` | `toString()`
`void` | `write(int c)`
`void` | `write(char[] cbuf, int off, int len)`

Method Detail

### clear

    @Override
    public void clear()

### clearBuffer

    @Override
    public void clearBuffer()

### close

    @Override
    public void close()

### flush

    @Override
    public void flush()

### getRemaining

    @Override
    public int getRemaining()

### newLine

    @Override
    public void newLine()

### print

    @Override
    public void print(boolean b)

### print

    @Override
    public void print(char c)

### print

    @Override
    public void print(char[] cArray)

### print

    @Override
    public void print(double d)

### print

    @Override
    public void print(float f)

### print

    @Override
    public void print(int i)

### print

    @Override
    public void print(long l)

### print

    @Override
    public void print(java.lang.Object o)

### print

    @Override
    public void print(java.lang.String s)

### println

    @Override
    public void println()

### println

    @Override
    public void println(boolean b)

### println

    @Override
    public void println(char c)

### println

    @Override
    public void println(char[] chars)

### println

    @Override
    public void println(double d)

### println

    @Override
    public void println(float f)

### println

    @Override
    public void println(int i)

### println

    @Override
    public void println(long l)

### println

    @Override
    public void println(java.lang.Object o)

### println

    @Override
    public void println(java.lang.String s)

### toString

    @Override
    public java.lang.String toString()

### write

    @Override
    public void write(int c)

### write

    @Override
    public void write(char[] cbuf, int off, int len)

Groovy Documentation